Skip to content
Open the portal
Developer docs

Lift Hold

POST
/v1/holds/{hold_id}/lift
curl --request POST \
--url https://example.com/v1/holds/example/lift \
--header 'Content-Type: application/json' \
--data '{ "reason": "example", "lifted_by": "example", "authority": "example" }'
hold_id
required
Hold Id
string
Media typeapplication/json
LiftIn
object
reason
required
Reason
string
>= 3 characters <= 1000 characters
lifted_by
required
Lifted By
string
>= 1 characters <= 256 characters
authority
Any of:
string
Examplegenerated
{
"reason": "example",
"lifted_by": "example",
"authority": "example"
}

Successful Response

Media typeapplication/json
Response Lift Hold V1 Holds Hold Id Lift Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}